Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting.stream
Class StreamServer

    java.lang.Object
      org.jboss.remoting.stream.StreamServer

    public class StreamServer

extends java.lang.Object

This is a helper class that runs internal to remoting on the client side. It contains a reference to a local input stream and creates a remoting server to receive calls from a target remoting server (via calls from a StreamHandler initiated by a server invoker handler).

NOTE: That once this class receives the close() method called from the server, it will also stop and destroy the internal remoting server, since is assumed there will be no more callbacks (since the stream itself is closed).

Author:
  Tom Elrod

Nested Class Summary
`class` | `StreamServer.Handler` Handler for accepting method calls on the input stream and perform the coresponding method call on the original input stream and returning the data.

Field Summary
`static java.lang.String` | `STREAM_HOST_KEY`
`static java.lang.String` | `STREAM_PORT_KEY`
`static java.lang.String` | `STREAM_TRANSPORT_KEY`

Constructor Summary
`StreamServer(java.io.InputStream stream)` Creates the server wrapped around the specified input stream.
`StreamServer(java.io.InputStream stream, Connector connector)`
`StreamServer(java.io.InputStream stream, InvokerLocator locator)`

Method Summary
`java.lang.String` | `getInvokerLocator()` Gets the locator to call back on this server to get the inputstream data.
`void` | `setupServer(java.lang.String locatorURI)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STREAM_TRANSPORT_KEY

    public static final java.lang.String STREAM_TRANSPORT_KEY

See Also:
  Constant Field Values

### STREAM_HOST_KEY

    public static final java.lang.String STREAM_HOST_KEY

See Also:
  Constant Field Values

### STREAM_PORT_KEY

    public static final java.lang.String STREAM_PORT_KEY

See Also:
  Constant Field Values

Constructor Detail

### StreamServer

    public StreamServer(java.io.InputStream stream)
                 throws java.lang.Exception

  Creates the server wrapped around the specified input stream. This will create the remoting server as well.

  Parameters:
    `stream` -
  Throws:
    `java.lang.Exception`

### StreamServer

    public StreamServer(java.io.InputStream stream,
                        InvokerLocator locator)
                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

### StreamServer

    public StreamServer(java.io.InputStream stream,
                        Connector connector)
                 throws java.lang.Exception

Throws:
  `java.lang.Exception`

Method Detail

### getInvokerLocator

    public java.lang.String getInvokerLocator()
                                       throws java.lang.Exception

  Gets the locator to call back on this server to get the inputstream data.

  Returns:
  Throws:
    `java.lang.Exception`

### setupServer

    public void setupServer(java.lang.String locatorURI)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.